Subject: Re: [RFC] networking: convert many more places to skb_put_zero()

From: Johannes Berg <[email-masked]>
Date: Thu, 15 Jun 2017 09:45:17 +0200

On Thu, 2017-06-15 at 07:20 +0000, YUAN Linyu wrote:
> > 
> In my opinion if spatch can do it even it found one place, keep it.
> Only leave difficult places like ndisc.c to me.

It's not so simple - I'd have to tailor the spatch to it pretty much I
guess, spending far more time on the spatch than the single place
warrants.

> > Btw, just made a patch to add and use "skb_put_data()", just doing
> > a
> > memcpy() into the skb_put() area also has lots of users.
> 
> Yes, I also notice some places.

I sent a patch.

johannes